POST /docmee/v1/api/ppt/randomTemplates
Method: POSTEndpoint: /docmee/v1/api/ppt/randomTemplates
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
size
integer
Required
filters
object
Required
type
integer
Required
Example
{
"size"
:
0
,
"filters"
:
{
"type"
:
0
}
}Example Request
Shell
bash
curl --location --request POST '/docmee/v1/api/ppt/randomTemplates' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"size": 0,
"filters": {
"type": 0
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 0,
"total": 1,
"data": [
{
"id": "xxx", // provider-specific note
"type": 1, // provider-specific note
"coverUrl": "https://xxx.png", // cover
"category": null, // provider-specific note
"style": null, // provider-specific note
"themeColor": null, // provider-specific note
"subject": "", // provider-specific note
"num": 20, // provider-specific note
"createTime": "2024-01-01 10:00:00"
}
],
"message": "Operation succeeded"
}